#include "neocd.h"
#include "z80intrf.h"
#include "sound/2610intf.h"

cz80_struc Cz80_struc;

//---------------------------------------------------------------------------
void z80_init(void)
{
	Cz80_Init(&Cz80_struc);
	Cz80_Set_Fetch(&Cz80_struc,0x0000,0xFFFF,(u32)memory_region_cpu2);
	Cz80_Set_ReadB(&Cz80_struc,&z80_read_memory_8);
	Cz80_Set_WriteB(&Cz80_struc,&z80_write_memory_8);
	Cz80_Set_INPort(&Cz80_struc, &neogeo_z80_port_r);
	Cz80_Set_OUTPort(&Cz80_struc, &neogeo_z80_port_w);
	Cz80_Reset(&Cz80_struc);
}
