/**************************************
****    CDROM.H  -  File reading   ****
****         Header File           ****
**************************************/

#ifndef CDROM_H
#define CDROM_H

#include "neocd.h"

enum {
	MODE_RAW,
	MODE_ZIP,
	MODE_ISO
};

/*-- global variables -------------------------------------------------------*/
extern int archive_mode;
extern int neogeo_loadscreen;
extern int neogeo_cdspeed_limit;
extern int neogeo_loadfinished;

/*-- cdrom.c functions ------------------------------------------------------*/
void cdrom_init(void);
int cdrom_process_ipl(void);
void cdrom_shutdown(void);

void neogeo_decode_spr(u8 *mem, u32 offset, u32 length);
void neogeo_decode_fix(u8 *mem, u32 offset, u32 length);

#endif /* CDROM_H */
