#ifndef	Z80INTRF_H
#define Z80INRTF_H

#include "z80/cz80/cz80.h"

extern cz80_struc Cz80_struc;

#if 0
#define z80_raise_irq() Cz80_Set_IRQ(&Cz80_struc, 0)
#define z80_lower_irq() Cz80_Clear_IRQ(&Cz80_struc)
#define z80_nmi() Cz80_Set_NMI(&Cz80_struc)
#else
#define z80_raise_irq() Cz80_Set_IRQ(&Cz80_struc, 0, ASSERT_LINE)
#define z80_lower_irq() Cz80_Set_IRQ(&Cz80_struc, 0, CLEAR_LINE)
#define z80_nmi() Cz80_Set_IRQ(&Cz80_struc, IRQ_LINE_NMI, PULSE_LINE)
#endif
#define z80_exec(CIC) Cz80_Exec(&Cz80_struc,CIC)
#define z80_reset() Cz80_Reset(&Cz80_struc)

#endif /* Z80INTRF_H */
